Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Geloest]CUPS druckt keine Testseite
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Hanisch
Apprentice
Apprentice


Joined: 21 Mar 2011
Posts: 186

PostPosted: Fri Mar 25, 2011 5:10 pm    Post subject: [Geloest]CUPS druckt keine Testseite Reply with quote

Hallo,

ich habe Gentoo in VirtualBox 4.0.4 unter Host aptosid installiert und in CUPS meinen an USB angeschlossenen HP Color LaserJet 2600n eingerichtet.
Code:
Beschreibung: HP Color LaserJet 2600n
Ort: Local Printer
Marke und Modell: HP Color LaserJet 2600n Foomatic/foo2hp (recommended)
Druckerstatus: frei, Aufträge akzeptieren, publiziert.
Geräte URI: usb://HP/Color%20LaserJet%202600n


Wenn ich nun eine Testseite drucken will kommt die Meldung oben.
Code:
... "/usr/libexec/cups/filter/foomatic-rip failed"

und es wird nicht gedruckt.

Wie kriege ich das geregelt?

Gruß
Ch. Hanisch


Last edited by Hanisch on Thu Apr 07, 2011 2:04 pm; edited 1 time in total
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Fri Mar 25, 2011 6:08 pm    Post subject: Reply with quote

net-print/foomatic-filters sollte dir helfen
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Fri Mar 25, 2011 6:11 pm    Post subject: Reply with quote

net-print/hplip hast du installiert? Das sollte denn den Drucker unter CUPS als hp://bla finden und kümmert sich um alle Einstellungen
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
cryptosteve
Veteran
Veteran


Joined: 04 Jan 2004
Posts: 1169
Location: Buchholz/GER

PostPosted: Fri Mar 25, 2011 6:50 pm    Post subject: Reply with quote

Nur zur Info:

Das vom hanisch genannte Druckermodel LaserJet 2600n ist auf hplipopensource.com weder unter Supported Printers noch unter Recommended Printer Models genannt.

Ob es in der Praxis dann trotzdem mit net-print/hplip funktioniert, vermag ich nicht zu sagen.
_________________
- born to create drama -
cryptosteve - gpg: 0x9B6C7E15
CS Virtual Travel Bug: VF6G5D
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Fri Mar 25, 2011 6:51 pm    Post subject: Reply with quote

cryptohappen wrote:
Das vom hanisch genannte Druckermodel LaserJet 2600n ist auf hplipopensource.com weder unter Supported Printers noch unter Recommended Printer Models genannt.

Oh - es gibt HP-Drucker, die die nicht unterstützen 8O das war mir neu. Sorry fürs nicht-nachschauen.

/edit: Und es wird doch unterstützt: http://hplipopensource.com/hplip-web/models/color_laserjet/hp_color_laserjet_2600n.html -- alles nachschauen muss man selber machen :twisted:
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
cryptosteve
Veteran
Veteran


Joined: 04 Jan 2004
Posts: 1169
Location: Buchholz/GER

PostPosted: Fri Mar 25, 2011 7:00 pm    Post subject: Reply with quote

Verdammich ... ich hab unter »LaserJet« geguckt, nicht unter »Color LaserJet«. :(

Ich sag hier nix mehr!
_________________
- born to create drama -
cryptosteve - gpg: 0x9B6C7E15
CS Virtual Travel Bug: VF6G5D
Back to top
View user's profile Send private message
Hanisch
Apprentice
Apprentice


Joined: 21 Mar 2011
Posts: 186

PostPosted: Sat Mar 26, 2011 10:42 am    Post subject: Reply with quote

Hallo,

habe mir net-print/hplip installiert und auch net-print/foomatic-filters (war schon installiert), aber keine Veränderung.
Bei HP Device Manager -> Driver Plug-in Installation funktioniert das Downloaden des Plug-in nicht.
Nun habe ich den Drucker in CUPS neu eingerichtet.
Code:
Beschreibung: HP Color LaserJet 2600n
Ort: Local Printer
Marke und Modell: HP Color LaserJet 2600n, hpcups 3.10.9, requires proprietary plugin
Druckerstatus: frei, Aufträge akzeptieren, publiziert.
Geräte URI: hp:/usb/HP_Color_LaserJet_2600n?serial=F9448NT

Jetzt kommt die Meldung:
Code:
... "/usr/libexec/cups/filter/hpcups failed"

und
Code:
...
HP_Color_LaserJet_2600n_USB_F9448NT_HPLIP
-----------------------------------------
Type: Printer
Device URI: hp:/usb/HP_Color_LaserJet_2600n?serial=F9448NT
PPD: /etc/cups/ppd/HP_Color_LaserJet_2600n_USB_F9448NT_HPLIP.ppd
PPD Description: HP Color LaserJet 2600n, hpcups 3.10.9, requires proprietary plugin
Printer status: Drucker HP_Color_LaserJet_2600n_USB_F9448NT_HPLIP ist inaktiv.  Aktiviert seit Sa 26 Mär 2011 12:20:40 CET
error: Required plug-in status: Not installed
Communication status: Good


Wie lade ich den notwendigen proprietary plugin, da HP Device Manager -> Install Required Plugin -> Download and install the Plug-in from an HP authorized server (recommended) -> Next
nicht funktioniert?
Durch Umstellen in /etc/resolv.conf von
nameserver 192.168.2.1 auf nameserver 85.88.19.10
bin ich schon weiter gekommen. Aber dann erhalte ich die Meldung:
Code:
Plug-in install failed.

Woran mag das liegen?

Gruß
Ch. Hanisch
Back to top
View user's profile Send private message
Hanisch
Apprentice
Apprentice


Joined: 21 Mar 2011
Posts: 186

PostPosted: Thu Apr 07, 2011 1:58 pm    Post subject: Reply with quote

Hallo,

ich habe jetzt auf das Runterladen des notwendigen Plugin mit HPLIP verzichtet und statt dessen mir foo2zjs runter geldaen, entpackt und nach der INSTALL-Anleitung installiert.
Jetzt funktioniert der Drucker.

Gruß
Ch. Hanisch
Back to top
View user's profile Send private message
cryptosteve
Veteran
Veteran


Joined: 04 Jan 2004
Posts: 1169
Location: Buchholz/GER

PostPosted: Thu Apr 07, 2011 2:00 pm    Post subject: Reply with quote

Da hast Du aber Ausdauer bewiesen. Danke für die Rückmeldung.

foo2zjs runtergeladen, oder einfach net-print/foo2zjs installiert?
_________________
- born to create drama -
cryptosteve - gpg: 0x9B6C7E15
CS Virtual Travel Bug: VF6G5D
Back to top
View user's profile Send private message
Hanisch
Apprentice
Apprentice


Joined: 21 Mar 2011
Posts: 186

PostPosted: Thu Apr 07, 2011 2:02 pm    Post subject: Reply with quote

Hallo,

ich habe jetzt auf das Runterladen des notwendigen Plugin mit HPLIP verzichtet und statt dessen mir foo2zjs runter geldaen ( http://linux.softpedia.com/get/Printing/foo2zjs-8802.shtml ), entpackt und nach der INSTALL-Anleitung installiert.
Jetzt funktioniert der Drucker.

Gruß
Ch. Hanisch
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum